DittoCode::HoldFile.if 'ENTERPRISE'
module AlertsHelper

  def create_alert_with_params(alert_params = default_alert_params_search)
    platform_alerts = Alert.where(alert_params)
    if platform_alerts.length.zero? 
      platform_alert = Alert.new(alert_params)
      platform_alert.save
      return true
    else
      return false
    end
  end

  def update_alert_with_params(alert_params = default_alert_params_search)
    platform_alerts = Alert.where(alert_params)
    if platform_alerts.length.zero? 
      return false
    else
      platform_alerts.update(default_alert_params_activate)
      return true
    end
  end

  def stop_alert_with_params(alert_params = default_alert_params_search)
    alert_params.delete(:level)
    platform_alert = Alert.where(alert_params)
    if platform_alert.length.zero?
      return false
    else
      platform_alert.update(default_alert_params_stop)
      return true
    end
  end

  private

  def default_alert_params_search
    {message: "Default", level: "info"}
  end
  
  def default_alert_params_activate
    {updated_at: Time.now, enabled: true}
  end

  def default_alert_params_stop
    {updated_at: Time.now, enabled: false}
  end

end
